import 'package:flutter/material.dart';
import 'package:initial_folder/size_config.dart';
import 'package:initial_folder/theme.dart';
import 'package:styled_text/styled_text.dart';

class BarBatasBayar extends StatelessWidget {
  String storeName;
  BarBatasBayar(this.storeName);
  final TextStyle baris = thirdTextStyle.copyWith(
    fontFamily: "Poppins",
    fontSize: getProportionateScreenWidth(13),
  );
  @override
  Widget build(BuildContext context) {
    String store = storeName == 'indomaret' ? 'Indomaret' : 'Alfamart';
    return Padding(
      padding: EdgeInsets.symmetric(
        horizontal: getProportionateScreenWidth(12),
        vertical: getProportionateScreenHeight(12),
      ),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          StyledText(
            text: '1. Datang ke<bold> $store</bold>',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            text: '2. Tunjukkan <bold>kode pembayaran</bold> ke kasir',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            text:
                '3. Bayar dengan uang tunai sesuai dengan total pembayaran (sudah termasuk biaya layanan)',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            text: '4. Transaksi selesai, simpan bukti pembayaran Anda',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          SizedBox(height: 4)
        ],
      ),
    );
  }
}
